Bug 1007209 - Inappropriate error message generated when non-resolvable hostname is given for peer in 'gluster volume create' command for distribute-replicate volume creation
Inappropriate error message generated when non-resolvable hostname is given f...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gaurav Kumar Garg
SATHEESARAN
: Patch, ZStream
Depends On:
Blocks: 1091935 1212576
  Show dependency treegraph
 
Reported: 2013-09-12 02:21 EDT by Rejy M Cyriac
Modified: 2016-06-05 19:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1091935 1212576 (view as bug list)
Environment:
Last Closed: 2015-12-03 12:20:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-09-12 02:21:48 EDT
Description of problem:
When a non-resolvable hostname is provided for a peer in the 'gluster volume create' command, the error message generated, given below, is not useful to find cause of failure. The error message is useful when the hostname given is resolvable.

Failed to perform brick order check. Do you want to continue creating the volume?  (y/n)

-----------------------------------------------
[root@rhs-client4 ~]# gluster peer status
Number of Peers: 3

Hostname: rhs-client10.lab.eng.blr.redhat.com
Uuid: 1e47bfd5-d7fd-4bbf-8f45-3583062804fc
State: Peer in Cluster (Connected)

Hostname: rhs-client15.lab.eng.blr.redhat.com
Uuid: 82e7d62c-6b25-4ed2-865b-5464e1b11735
State: Peer in Cluster (Connected)

Hostname: rhs-client37.lab.eng.blr.redhat.com
Uuid: a897dafd-3a26-4533-bd56-c4be512fd803
State: Peer in Cluster (Connected)

# gluster volume create RHSvol replica 2 rhs-client4.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol rhs-client10.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol rhs-client15.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol rhs-client3745.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol
Failed to perform brick order check. Do you want to continue creating the volume?  (y/n) n
Volume create failed

# gluster volume create RHSvol replica 2 rhs-client4.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol rhs-client10.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol rhs-client15.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol rhs-client45.lab.eng.blr.redhat.com:/srv/rhs/brick3/RHSvol
volume create: RHSvol: failed: Host rhs-client45.lab.eng.blr.redhat.com is not in 'Peer in Cluster' state

-----------------------------------------------

Version-Release number of selected component (if applicable):
RHS 2.1 - 

How reproducible:
glusterfs-server-3.4.0.33rhs-1.el6rhs.x86_64

Steps to Reproduce:
1.Create RHS trusted peer cluster comprising of a few RHS nodes
2.Run 'gluster volume create' command with one of the RHS node names wrongly spelt, and non-resolvable
3.Observe error message
4.Run 'gluster volume create' command with one of the RHS node names wrongly spelt, but resolvable
5.Observe error message

Actual results:
When gluster volume creation command, for creating a distribute-replicate volume, contains an error in the names of one of the RHS peers, and if that happens to be a non-resolvable hostname, the error message that is generated is not useful.

Expected results:
When gluster volume creation command, for creating a distribute-replicate volume, contains an error in the names of one of the RHS peers, and if that happens to be a non-resolvable hostname, the error message that is generated should be useful to find the cause of the issue.

Additional info:
Comment 1 Vivek Agarwal 2014-02-20 03:36:55 EST
adding 3.0 flag and removing 2.1.z
Comment 3 Atin Mukherjee 2015-04-02 00:15:17 EDT
The fix is already into upstream with http://review.gluster.org/9373
BZ should be moved to 'Modified' the moment branching takes place.
Comment 4 SATHEESARAN 2015-04-16 13:01:02 EDT
This bug is raised for RHS 2.1 and if we trying to fix this for 
Red Hat - Gluster Storage 3.1, we need to clone this for RHGS 3.0 and not use this bug for fixing the issue in RH-Gluster Storage 3.1

Any thoughts ?
Comment 5 SATHEESARAN 2015-04-16 13:11:16 EDT
This issue/bug will be fixed in for RH-Gluster Storage 3.1
This bug will be used to track the change for RHS 2.1.z
Comment 6 Atin Mukherjee 2015-04-16 13:21:21 EDT
(In reply to Atin Mukherjee from comment #3)
> The fix is already into upstream with http://review.gluster.org/9373
> BZ should be moved to 'Modified' the moment branching takes place.
This comment is no more valid.
Comment 7 Gaurav Kumar Garg 2015-04-16 14:12:40 EDT
Another part of this bug fix also available in upstream master http://review.gluster.org/#/c/7589/
Comment 11 Vivek Agarwal 2015-12-03 12:20:29 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.